#!/bin/sh
if [[ ! -f /home/apkbuild/.abuild/alpine@noveria.org ]]; then
  openssl genrsa -out /home/apkbuild/.abuild/alpine@noveria.org 2048
  openssl rsa -in /home/apkbuild/.abuild/alpine@noveria.org -pubout -out /home/apkbuild/.abuild/alpine@noveria.org.pub
  echo 'PACKAGER_PRIVKEY="/home/apkbuild/.abuild/alpine@noveria.org"' > /home/apkbuild/.abuild/abuild.conf
fi

if [[ ! -d /repo/v$(grep VERSION_ID= /etc/os-release | cut -d= -f2 | rev | cut -d. -f2- | rev)/noveria/x86_64 ]]; then
  mkdir -p /repo/v$(grep VERSION_ID= /etc/os-release | cut -d= -f2 | rev | cut -d. -f2- | rev)/noveria/x86_64
fi

if [[ ! -f /repo/alpine@noveria.org.pub ]]; then
  cp /home/apkbuild/.abuild/alpine@noveria.org.pub /repo/
fi

{ echo "file:///repo/v$(grep VERSION_ID= /etc/os-release | cut -d= -f2 | rev | cut -d. -f2- | rev)/noveria"; cat /etc/apk/repositories; } > tmp && sudo mv tmp /etc/apk/repositories
sudo cp /home/apkbuild/.abuild/alpine@noveria.org.pub /etc/apk/keys

/bin/sh -c "$@"
